/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: MachineCreate.java 850 2012-01-13 09:26:25Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.provider.api.service;

import java.util.Map;

import org.ow2.sirocco.cloudmanager.provider.api.entity.MachineTemplate;

public class MachineCreate {
    private String name;

    private String description;

    private Map<String, String> properties;

    private MachineTemplate machineTemplate;

    public String getName() {
        return this.name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(final String description) {
        this.description = description;
    }

    public Map<String, String> getProperties() {
        return this.properties;
    }

    public void setProperties(final Map<String, String> properties) {
        this.properties = properties;
    }

    public MachineTemplate getMachineTemplate() {
        return this.machineTemplate;
    }

    public void setMachineTemplate(final MachineTemplate machineTemplate) {
        this.machineTemplate = machineTemplate;
    }

}
